GET
/api/v2/banking/users/{userId}/budgets/{budgetId}GET /api/v2/banking/users/{userId}/budgets/{budgetId}
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| userId (path) | integer (int32) | Yes | |
| budgetId (path) | string | Yes |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| BudgetId | string | No | |
| AccountId | string | No | |
| Name | string | No | |
| Type | string | No | |
| ParentId | string | No | |
| Status | string | No | |
| AllowCurrencyAlignment | boolean | No | |
| Currencies | array of string | No | |
| Balances | array of UserBudgetBalance | No | |
| CreatedAt | string (date-time) | No | |
| UpdatedAt | string (date-time) | No |
400 — Bad Request
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
401 — Unauthorized
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
404 — Not Found
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
500 — Internal Server Error
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
Example request
curl -X GET "https://{base_url}/api/v2/banking/users/{userId}/budgets/{budgetId}" \
-H "x-api-key: YOUR_API_KEY"This page is generated from the live OpenAPI specification and always matches the current API.